Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_ATM_QoS Class Reference

Define the QoS parameters for ATM. More...

`#include <ATM_QoS.h>`

List of all members.

## Public Methods
| ACE_ATM_QoS (int=DEFAULT_PKT_SIZE)
| Default constructor. More...
| ACE_ATM_QoS (int, int=DEFAULT_PKT_SIZE)
| Constructor with a CBR rate. More...
| ~ACE_ATM_QoS ()
void | set_rate (ACE_HANDLE, int, int)
| Set the rate. More...
void | set_cbr_rate (int, int=DEFAULT_PKT_SIZE)
| Set CBR rate in cells per second. More...
ATM_QoS | get_qos (void)
| Get ATM_QoS struct. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Static Public Attributes
const long | LINE_RATE = 0L
const int | OPT_FLAGS_CPID = 0
const int | OPT_FLAGS_PMP = 0
const int | DEFAULT_SELECTOR = 0x0
const int | DEFAULT_PKT_SIZE = 0
## Protected Methods
char * | construct_options (ACE_HANDLE, int, int, long *)
| Construct QoS options. More...
## Private Attributes
ATM_QoS | qos_

## Detailed Description

Define the QoS parameters for ATM.

This class wraps up QoS parameters for both ATM/XTI and ATM/WinSock2 to make the mechanism for the ATM protocol transparent.

## Constructor & Destructor Documentation

ACE_ATM_QoS::ACE_ATM_QoS | ( | int | pktSize = DEFAULT_PKT_SIZE | ) |

| Default constructor.

ACE_ATM_QoS::ACE_ATM_QoS | ( | int | rate,
|  | int | pktSize = DEFAULT_PKT_SIZE
| ) |

| Constructor with a CBR rate.

ACE_INLINE ACE_ATM_QoS::~ACE_ATM_QoS | ( |  | ) |

## Member Function Documentation

char * ACE_ATM_QoS::construct_options | ( | ACE_HANDLE | fd,
|  | int | rate,
|  | int | flags,
|  | long * | len
| ) | `[protected]`

| Construct QoS options.

void ACE_ATM_QoS::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE ATM_QoS ACE_ATM_QoS::get_qos | ( | void |  | ) |

| Get ATM_QoS struct.

void ACE_ATM_QoS::set_cbr_rate | ( | int | rate,
|  | int | pktSize = DEFAULT_PKT_SIZE
| ) |

| Set CBR rate in cells per second.

void ACE_ATM_QoS::set_rate | ( | ACE_HANDLE | fd,
|  | int | rate,
|  | int | flags
| ) |

| Set the rate.

## Member Data Documentation

ACE_ATM_QoS::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

const int ACE_ATM_QoS::DEFAULT_PKT_SIZE = 0`[static]`

const int ACE_ATM_QoS::DEFAULT_SELECTOR = 0x0`[static]`

const long ACE_ATM_QoS::LINE_RATE = 0L`[static]`

const int ACE_ATM_QoS::OPT_FLAGS_CPID = 0`[static]`

const int ACE_ATM_QoS::OPT_FLAGS_PMP = 0`[static]`

ATM_QoS ACE_ATM_QoS::qos_`[private]`

The documentation for this class was generated from the following files:

- ATM_QoS.h
- ATM_QoS.cpp
- ATM_QoS.i